Debian Bug report logs - #379789
wrong keymap on Intel MacBook Pro

Package: kbd-chooser; Maintainer for kbd-chooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for kbd-chooser is src:kbd-chooser.

Reported by: Rüdiger Braun <ruediger.braun@uni-duesseldorf.de>

Date: Tue, 25 Jul 2006 16:18:09 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#379789; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Braun <ruediger.braun@uni-duesseldorf.de>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rüdiger Braun <ruediger.braun@uni-duesseldorf.de>
To: submit@bugs.debian.org
Date: Tue, 25 Jul 2006 12:05:58 -0400
Package: installation-reports

Boot method: from iso in parallels virtualization
Image version: debian-testing-i386-netinst.iso, daily snapshot of  
July 25, 2006
Date: July 25. 2006, 11:00 EST

Machine: MacBook Pro under Parallells Build 1848
Processor: 2 GHz Intel Core Duo
Memory: 512 MB virtual
Partitions: <df -Tl will do; the raw partition table is preferred>

Output of lspci and lspci -n:

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot worked:    [O]
Configure network HW:   [O]
Config network:         [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Create file systems:    [O]
Mount partitions:       [O]
Install base system:    [O]
Install boot loader:    [O]
Reboot:                 [O]

Comments/Problems:

There are two problems with the keyboard:

I had chosen the german keyboard

(1)  During installation, on the screen "Benutzer und Passwörter" I  
tried to enter an umlaut (namely Rüdiger).  The Umlaut showed as  
something else (I think it was <FC>), and could not be removed.   
Neither <Backspace> nor the left arrow key were working.  I had to go  
back one screen and reopen the screen, this time entering my name  
without umlauts.  Then <backspace> was working again.

(2) The system is running, but those characters that are entered  
using <alt> cannot be reached.  On a Mac, this includes <|>, <[>, <] 
>, <{>, <}>, and <@>.  Umlauts are working.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#379789; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 379789@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 379789@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 379789@bugs.debian.org, control@bugs.debian.org
Cc: Rüdiger Braun <ruediger.braun@uni-duesseldorf.de>
Subject: Re: Bug#379789: wrong keymap on Intel MacBook Pro
Date: Mon, 31 Jul 2006 14:11:45 +0200
[Message part 1 (text/plain, inline)]
reassign 379789 kbd-chooser
retitle 379789 wrong keymap on Intel MacBook Pro
thanks

On Tuesday 25 July 2006 18:05, Rüdiger Braun wrote:
> I had chosen the german keyboard
>
> (1)  During installation, on the screen "Benutzer und Passwörter" I
> tried to enter an umlaut (namely Rüdiger).  The Umlaut showed as
> something else (I think it was <FC>), and could not be removed.
> Neither <Backspace> nor the left arrow key were working.  I had to go
> back one screen and reopen the screen, this time entering my name
> without umlauts.  Then <backspace> was working again.

This is a known issue. Unfortunately we don't have a solution for it yet.

> (2) The system is running, but those characters that are entered
> using <alt> cannot be reached.  On a Mac, this includes <|>, <[>, <]
>
>  >, <{>, <}>, and <@>.  Umlauts are working.

You should be able to enter these characters using some kind of function 
key combination. If Intel based MacBooks use Macintosh keyboard layouts 
this problem is expected as we currently don't support USB-MAC keymaps 
for i386.

You can select a USB-MAC keymap after the installation using
   dpkg-reconfigure console-data

Reassigning this report to kbd-chooser so this can be fixed in the future.
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `installation-reports' to `kbd-chooser'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#379789; Package kbd-chooser. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 379789@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 379789@bugs.debian.org
Cc: control@bugs.debian.org, Rüdiger Braun <ruediger.braun@uni-duesseldorf.de>
Subject: Re: Bug#379789: wrong keymap on Intel MacBook Pro
Date: Wed, 23 Aug 2006 21:10:05 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 31, 2006 at 02:11:45PM +0200, Frans Pop wrote:
> > (1)  During installation, on the screen "Benutzer und Passwörter" I
> > tried to enter an umlaut (namely Rüdiger).  The Umlaut showed as
> > something else (I think it was <FC>), and could not be removed.
> > Neither <Backspace> nor the left arrow key were working.  I had to go
> > back one screen and reopen the screen, this time entering my name
> > without umlauts.  Then <backspace> was working again.
> 
> This is a known issue. Unfortunately we don't have a solution for it yet.

This issue has just been fixed with version 1.30 of kbd-chooser

 
> > (2) The system is running, but those characters that are entered
> > using <alt> cannot be reached.  On a Mac, this includes <|>, <[>, <]
> >
> >  >, <{>, <}>, and <@>.  Umlauts are working.
> 
> You should be able to enter these characters using some kind of function 
> key combination. If Intel based MacBooks use Macintosh keyboard layouts 
> this problem is expected as we currently don't support USB-MAC keymaps 
> for i386.
> 
> You can select a USB-MAC keymap after the installation using
>    dpkg-reconfigure console-data
> 
> Reassigning this report to kbd-chooser so this can be fixed in the future.


hopefully this will be fixed soon
regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:45:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.